[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# get_rm_interrupt

Get real mode interrupt vector

## Declaration

Source position: go32.pp line 135

`function get_rm_interrupt(`
`vector: Byte;`
`var intaddr: tseginfo`
`):Boolean;`

## Description

Returns the contents of the current machine's real mode interrupt vector for the specified interrupt.

Parameters:

vector
  interrupt vector number.
intaddr
  buffer to store real mode segment:offset address.

Return values: True if successful, False otherwise.

Remark: | The returned address is a real mode segment address, which isn't valid in protected mode.

## Errors

Check the int31error variable.

## See also

set_rm_interrupt |  | Set real mode interrupt handler
set_pm_interrupt |  | Set protected mode interrupt handler
get_pm_interrupt |  | Return protected mode interrupt handler